uniform float Z;
uniform sampler2DRect displacementMap;
varying vec4 dv;

void main(void)
{
	vec4 newVertexPos;
	float df;
		

	gl_TexCoord[0].xy = gl_MultiTexCoord0.xy;
	
	dv = texture2DRect( displacementMap, gl_MultiTexCoord0.xy );
	
	df = 0.30*dv.x + 0.59*dv.y + 0.11*dv.z;
	
	newVertexPos = vec4(gl_Normal * df * Z, 0.0) + gl_Vertex;
	
	gl_Position = gl_ModelViewProjectionMatrix * newVertexPos;
}